# modalities.fmri.spm.model

## Module: `modalities.fmri.spm.model`

Inheritance diagram for `nipy.modalities.fmri.spm.model`:

## Class

## `SecondStage`

class nipy.modalities.fmri.spm.model.SecondStage(fmri_image, formula, sigma, outputs=[], volume_start_times=None)

  Bases: `object`

  Parameters:
    fmri_image FmriImageList

      object returning 4D array from `np.asarray`, having attribute `volume_start_times` (if volume_start_times is None), and such that `object[0]` returns something with attributes `shape`

    formula `nipy.algorithms.statistics.formula.Formula`
    sigma
    outputs
    volume_start_times
  __init__(fmri_image, formula, sigma, outputs=[], volume_start_times=None)
  execute()

## Functions

nipy.modalities.fmri.spm.model.Fmask(Fimg, dfnum, dfdenom, pvalue=0.0001)

  Create mask for use in estimating pooled covariance based on an F contrast.

nipy.modalities.fmri.spm.model.estimate_pooled_covariance(resid, ARtarget=[0.3], mask=None)

  Use SPM’s REML implementation to estimate a pooled covariance matrix.

  Thresholds an F statistic at a marginal pvalue to estimate covariance matrix.